﻿using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GDBsample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.gridDataBoundGrid1.Binder.DirectSaveCellInfo = true;
            
        }
        DataTable dt;
        int nRows = 10;
        int nCols = 10;
        Random r = new Random(123345345);
      
        private void Form1_Load_1(object sender, EventArgs e)
        {
            
            #region datatable
            dt = new DataTable("MyTable");

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i), typeof(string)));



            for (int i = 0; i < nRows; ++i)
            {
                if (i % 2 == 0)
                {
                    DataRow dr = dt.NewRow();
                    for (int j = 0; j < nCols; j++)
                        dr[j] = r.Next(10);

                    dt.Rows.Add(dr);
                }
                else
                {
                    DataRow dr1 = dt.NewRow();
                    for (int j = 0; j < nCols; j++)
                        dr1[j] = "";

                    dt.Rows.Add(dr1);
                }

            }

            #endregion

            this.gridDataBoundGrid1.DataSource = dt;
            this.gridDataBoundGrid1.AccessibilityEnabled = true;
           // this.gridDataBoundGrid1.Model.ClearCells(GridRangeInfo.Table(), true);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.gridDataBoundGrid1.Model.ClearCells(GridRangeInfo.Table(), true);
        }
    }
}